Package weka.classifiers.functions.explicitboundaries.combiners

# Class PotentialFunctionExp5

java.lang.Object
weka.classifiers.functions.explicitboundaries.combiners.APotentialFunctionSingleParam
weka.classifiers.functions.explicitboundaries.combiners.PotentialFunctionExp5

All Implemented Interfaces:
  `Serializable`, `PotentialFunction`, `weka.core.OptionHandler`

public class PotentialFunctionExp5 extends APotentialFunctionSingleParam

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PotentialFunctionExp5()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `betaTipText()`
  `double`
  `getBeta()`
  `String[]`
  `getOptions()`
  `double`
  `getPotentialValue(double x)`
  Calculates the potential value for x
  `Enumeration<weka.core.Option>`
  `listOptions()`
  `void`
  `setBeta(double beta)`
  `void`
  `setOptions(String[] options)`

  ### Methods inherited from class weka.classifiers.functions.explicitboundaries.combiners.APotentialFunctionSingleParam

  `alphaTipText, getAlpha, setAlpha`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PotentialFunctionExp5

    public PotentialFunctionExp5()

- ## Method Details

  - ### getPotentialValue

    public double getPotentialValue(double x) throws Exception
    Description copied from interface: `PotentialFunction`
    Calculates the potential value for x
    Returns:
    Throws:
      `Exception`

  - ### getBeta

    public double getBeta()
    Returns:
      the beta

  - ### setBeta

    public void setBeta(double beta)
    Parameters:
      `beta` - the beta to set

  - ### betaTipText

    public String betaTipText()

  - ### listOptions

    public Enumeration<weka.core.Option> listOptions()
    Specified by:
      `listOptions` in interface `weka.core.OptionHandler`
    Overrides:
      `listOptions` in class `APotentialFunctionSingleParam`

  - ### getOptions

    public String[] getOptions()
    Specified by:
      `getOptions` in interface `weka.core.OptionHandler`
    Overrides:
      `getOptions` in class `APotentialFunctionSingleParam`

  - ### setOptions

    public void setOptions(String[] options) throws Exception
    Specified by:
      `setOptions` in interface `weka.core.OptionHandler`
    Overrides:
      `setOptions` in class `APotentialFunctionSingleParam`
    Throws:
      `Exception`